Skip to main content
GET
/
analytics
/
dashboards
/
patient-breakdown
/
inactive-patients
Get Inactive Patients
curl --request GET \
  --url https://api.decodahealth.com/analytics/dashboards/patient-breakdown/inactive-patients \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/analytics/dashboards/patient-breakdown/inactive-patients"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/analytics/dashboards/patient-breakdown/inactive-patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "patientId": "<string>",
      "patientName": "<string>",
      "pastAppointmentCount": 123,
      "totalSpent": 123,
      "email": "<string>",
      "dateOfBirth": "2023-12-25",
      "lastAppointmentDate": "2023-11-07T05:31:56Z",
      "lastAppointmentStatus": "<string>",
      "lastAppointmentServices": [
        "<string>"
      ],
      "lastAppointmentProviders": [
        {
          "id": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        }
      ]
    }
  ],
  "total": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

days_since_last_appointment
integer
default:90

Number of days since last appointment to consider a patient inactive

sort_by
string
default:last_appointment_date

Field to sort by

sort_direction
enum<string>
default:asc

Sort direction

Available options:
asc,
desc
patient_source
string[] | null

Filter by patient source

page
integer
default:1
Required range: x >= 1
per_page
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

data
InactivePatientItem · object[]
required
total
integer
required